DeluxHostAPI Reference
Product catalog

List product categories

GET
/v1/catalog/product-groups

Authorization

apiToken catalog:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: catalog:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/catalog/product-groups' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": 0,      "slug": "string",      "name": "string",      "description": "string",      "prepayEnabled": true    }  ]}